
C:\Users\Jopp>"C:\Program Files\Siemens\NX10\UGII\ug_clone.exe" -help
ug_clone Starting...
Usage: (null)
-pim=yes to initialize Teamcenter Integration for NX rather than native NX may be repeated
-u[ser]=<user> to specify Teamcenter user name
-g[roup]=<group> to specify Teamcenter group name
-p[assword] to specify Teamcenter password
-pf=<filename> file to specify the Teamcenter password
-e[ncrypt] to specify Teamcenter password
-corba_ior_file to specify imanserver IOR file
-corba_soa_ior_file to specify corba SOA IOR file
-http_url to specify http url for 4 tier configuration
-http_cookie to specify http cookie for 4 tier configuration
-http_vmid to specify http vmid for 4 tier configuration
-o[peration]=clone|edit|import|export required, must precede arguments below
-fam[ily_treatment]=lose|strip_status|error specifies how to treat Part Family Members

If adding an assembly containing Family Members, this switch must be positioned
before the -assembly switch.
Default is error
-validation_m[ode]=off|import_from_part|run_validation|run_validation_hybrid
specifies how to import validation results
this switch must be positioned before the -assembly switch, -part switch
and -dryrun switch.
Default is off
-validation_r[ule]=<validation rule dataset name or validation rule file name>
specifies the dataset or native file name used to qualify the validation
results to be imported.
this switch must be specified when -validation_mode is not off.
the name should be in CLI format.
-abort_import[_on_fail]=no|yes specifies whether to abort the part importing
when validation results do not satisfy the validation rule.
Default is no
-treat_validation_w[arning_as_pass]=yes|no specifies how to treat the
validation result status of pass with warning.
Default is yes
-treat_validation_o[utdated_as_pass]=no|yes specifies how to treat the
validation result status of pass but outdated.
Default is no
-asse[mbly]=<root assembly> to add an assembly to the operation
                may be repeated
-par[t]=<single part> to add a part to the operation
                may be repeated
-dir[ectory]=<directory name> to add all assemblies in that directory to the operation.
The -dir option is for adding the Top parts involved in the clone operation
                may be repeated
-fol[der]=<folder name> as <user>:<folder>:<folder...> to add all assemblies in
that folder to the operation
                may be repeated
-default_checki[n]=yes:yes|yes:no|no, default is no
-default_checko[ut]=yes:<comment>|no, default is no
-default_a[ction]=clone|retain|overwrite|use_existing|exclude|new_revision
-default_n[aming]=autogen|autotranslate|name_rule|user_name
-aut[otranslate_mode]=<default|legacy>
specifies whether autotranslate mode for import should be:
        the default or
        legacy compatible (use DB_ attributes if present otherwise leaf name)
Default is default
-default_t[ype]=<item_type> specifies default Teamcenter item type
-asso[ciated_file_root_dir]=<directory> specifies default Teamcenter Associated
file directory
-copy_a[ssociated_files]=yes|no specifies whether to copy Teamcenter Associated
files
default is yes
-copy_related_draw[ings]=yes|no specifies whether to copy related independent drawing parts
this switch is to be used before adding an/a assembly/part to
the operation
default is no
-copy_related_cae[_parts]=<none|ideal|fem|all> specifies whether to copy related independent
cae parts of selected type
this switch is to be used before adding an/a assembly/part to
the operation
default is none
-copy_n[on_master]=<nonmaster-type>:yes|no
specifies whether to copy Teamcenter Non-Master files
                may be repeated
-default_o[wner]=<user>:<group> specifies default Teamcenter user and group to own parts
-n[ame_rule]=prepend:<string>|append:<string>|replace:<base_string>:
<replace_string>|rename:<string>
-default_f[older]=<default-folder>
-default_d[irectory]=<default-directory>
-l[oad_log_file]=<log-file-name>
                may be repeated
-s[ave_log_file]=<log-file-name>
-r[evision_rule]=<revision rule name>
 if specified, then it should be before the assembly switch
                may be repeated
-dr[yrun]
-propagate[_actions]=<yes|no> specifies whether to propagate action settings
to referenced and referencing parts
Default is no.
This option is intended for use by other applications driving ug_clone,
not for direct use.
-export_dfa_kf specify this option in the beginning of the argument list
to export the dfa files
Examples to use export_dfa_kf
        1.ug_clone -pim=yes -export_dfa_kf=dfa_only -o=export -part=<dfaclassname> (for dfa files)
        2.ug_clone -pim=yes -export_dfa_kf=dfa_in_part -o=export -part=<@DB/testprt/A> (for dfa files referenced by part)
-export_dfa_list specify this option to export the dfa filenames listed in
an input file
Examples to use export_dfa_list
        ug_clone -pim=yes -export_dfa_kf=dfa_only -export_dfa_list -o=export -part=<input file list name> -import_dfa_kf
specify this argument in the beginning of the argument list
to import dfa files.
Example to use import_dfa_kf
        ug_clone -pim=yes -o=import -import_dfa_kf=dfa_only -part=<dfa_filename>. -import_dfa_list specify this option to import the dfa filenames listed in an input file
Example to use import_dfa_list
        ug_clone -pim=yes -o=import -import_dfa_kf=dfa_only -import_dfa_list
-part=<input file list name>
-rev_up[_read_only] specifies that new revision will be created if operation=IMPORT, action=OVERWRITE, and dataset is read only
-attach[_log_file] specifies that the clone log file will be attached as named
reference to root nodes
-h[elp] produces this message

C:\Users\Jopp>
